Bug 1294366 - Software fails to update again after cancel update
Software fails to update again after cancel update
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-27 13:32 EST by M_M
Modified: 2017-09-11 07:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:25:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screencast_12-27-2015_09:24:41 PM.webm (841.17 KB, application/octet-stream)
2015-12-27 13:32 EST, M_M
no flags Details

  None (edit)
Description M_M 2015-12-27 13:32:06 EST
Created attachment 1109839 [details]
Screencast_12-27-2015_09:24:41 PM.webm

Description of problem:
Once refreshed and pressed 'Update' button, and canceled it fails to react properly on further 'Update' button presses. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Launch Software, Refresh, press Update
2. Cancel update
3. Press Update again

Actual results:


Expected results:


Additional info:
Comment 1 M_M 2015-12-27 13:49:50 EST
Reboot helped.
Comment 2 Richard Hughes 2016-01-08 04:38:57 EST
Are you running gnome-session and gnome-settings-daemon?
Comment 3 M_M 2016-01-08 06:24:27 EST
(In reply to Richard Hughes from comment #2)
> Are you running gnome-session and gnome-settings-daemon?

ps -AF
UID         PID   PPID  C    SZ   RSS PSR STIME TTY          TIME CMD
root          1      0  0 32126  8568   1 14:10 ?        00:00:02 /usr/lib/systemd/systemd --switched-root --system --deserialize 22
root          2      0  0     0     0   1 14:10 ?        00:00:00 [kthreadd]
root          3      2  0     0     0   0 14:10 ?        00:00:00 [ksoftirqd/0]
root          5      2  0     0     0   0 14:10 ?        00:00:00 [kworker/0:0H]
root          6      2  0     0     0   1 14:10 ?        00:00:00 [kworker/u256:0]
root          7      2  0     0     0   1 14:10 ?        00:00:01 [rcu_sched]
root          8      2  0     0     0   0 14:10 ?        00:00:00 [rcu_bh]
root          9      2  0     0     0   1 14:10 ?        00:00:01 [rcuos/0]
root         10      2  0     0     0   0 14:10 ?        00:00:00 [rcuob/0]
root         11      2  0     0     0   0 14:10 ?        00:00:00 [migration/0]
root         12      2  0     0     0   0 14:10 ?        00:00:00 [watchdog/0]
root         13      2  0     0     0   1 14:10 ?        00:00:00 [watchdog/1]
root         14      2  0     0     0   1 14:10 ?        00:00:00 [migration/1]
root         15      2  0     0     0   1 14:10 ?        00:00:00 [ksoftirqd/1]
root         17      2  0     0     0   1 14:10 ?        00:00:00 [kworker/1:0H]
root         18      2  0     0     0   0 14:10 ?        00:00:00 [rcuos/1]
root         19      2  0     0     0   0 14:10 ?        00:00:00 [rcuob/1]
root         20      2  0     0     0   1 14:10 ?        00:00:00 [khelper]
root         21      2  0     0     0   1 14:10 ?        00:00:00 [kdevtmpfs]
root         22      2  0     0     0   0 14:10 ?        00:00:00 [netns]
root         23      2  0     0     0   0 14:10 ?        00:00:00 [perf]
root         24      2  0     0     0   1 14:10 ?        00:00:00 [writeback]
root         25      2  0     0     0   0 14:10 ?        00:00:00 [ksmd]
root         26      2  0     0     0   1 14:10 ?        00:00:00 [khugepaged]
root         27      2  0     0     0   1 14:10 ?        00:00:00 [crypto]
root         28      2  0     0     0   1 14:10 ?        00:00:00 [kintegrityd]
root         29      2  0     0     0   0 14:10 ?        00:00:00 [bioset]
root         30      2  0     0     0   1 14:10 ?        00:00:00 [kblockd]
root         31      2  0     0     0   0 14:10 ?        00:00:00 [ata_sff]
root         32      2  0     0     0   1 14:10 ?        00:00:00 [md]
root         33      2  0     0     0   1 14:10 ?        00:00:00 [devfreq_wq]
root         34      2  1     0     0   0 14:10 ?        00:00:12 [kworker/0:1]
root         35      2  2     0     0   1 14:10 ?        00:00:15 [kworker/1:1]
root         37      2  0     0     0   1 14:10 ?        00:00:00 [kswapd0]
root         38      2  0     0     0   1 14:10 ?        00:00:00 [fsnotify_mark]
root         62      2  0     0     0   0 14:10 ?        00:00:00 [kworker/u256:1]
root         81      2  0     0     0   0 14:10 ?        00:00:00 [kthrotld]
root         82      2  0     0     0   0 14:10 ?        00:00:00 [acpi_thermal_pm]
root         83      2  0     0     0   1 14:10 ?        00:00:00 [scsi_eh_0]
root         84      2  0     0     0   1 14:10 ?        00:00:00 [scsi_tmf_0]
root         85      2  0     0     0   0 14:10 ?        00:00:00 [scsi_eh_1]
root         86      2  0     0     0   0 14:10 ?        00:00:00 [scsi_tmf_1]
root         88      2  0     0     0   1 14:10 ?        00:00:00 [kpsmoused]
root         90      2  0     0     0   0 14:10 ?        00:00:00 [dm_bufio_cache]
root         91      2  0     0     0   0 14:10 ?        00:00:00 [ipv6_addrconf]
root        131      2  0     0     0   0 14:10 ?        00:00:00 [deferwq]
root        172      2  0     0     0   1 14:10 ?        00:00:00 [kauditd]
root        178      2  0     0     0   1 14:10 ?        00:00:01 [kworker/1:3]
root        450      2  0     0     0   1 14:10 ?        00:00:00 [ttm_swap]
root        458      2  0     0     0   0 14:10 ?        00:00:00 [mpt_poll_0]
root        459      2  0     0     0   0 14:10 ?        00:00:00 [mpt/0]
root        467      2  0     0     0   0 14:10 ?        00:00:00 [scsi_eh_2]
root        468      2  0     0     0   0 14:10 ?        00:00:00 [scsi_tmf_2]
root        473      2  0     0     0   0 14:10 ?        00:00:00 [kworker/0:1H]
root        527      2  0     0     0   1 14:10 ?        00:00:00 [kdmflush]
root        528      2  0     0     0   1 14:10 ?        00:00:00 [bioset]
root        536      2  0     0     0   0 14:10 ?        00:00:00 [kdmflush]
root        538      2  0     0     0   0 14:10 ?        00:00:00 [bioset]
root        557      2  0     0     0   0 14:12 ?        00:00:00 [jbd2/dm-0-8]
root        558      2  0     0     0   0 14:12 ?        00:00:00 [ext4-rsv-conver]
root        635      2  0     0     0   1 14:12 ?        00:00:00 [kworker/1:1H]
root        646      1  0 25384 48980   1 14:12 ?        00:00:01 /usr/lib/systemd/systemd-journald
root        661      2  0     0     0   0 14:12 ?        00:00:04 [kworker/0:3]
root        674      1  0 32954  6016   1 14:12 ?        00:00:00 /usr/sbin/lvmetad -f
root        686      1  0 12566 10316   1 14:12 ?        00:00:01 /usr/lib/systemd/systemd-udevd
root        687      2  0     0     0   0 14:12 ?        00:00:00 [rpciod]
root        754      2  0     0     0   0 14:12 ?        00:00:00 [jbd2/sda1-8]
root        755      2  0     0     0   0 14:12 ?        00:00:00 [ext4-rsv-conver]
root        777      1  0 12268  3124   1 14:12 ?        00:00:00 /sbin/auditd -n
root        786      1  0  4192  2560   1 14:12 ?        00:00:00 /usr/sbin/alsactl -s -n 19 -c -E ALSA_CONFIG_PATH=/etc/alsa/alsactl.conf --initfile
root        787      1  0 85511 32168   0 14:12 ?        00:00:01 /usr/bin/python3 -Es /usr/sbin/firewalld --nofork --nopid
root        788      1  0 98156  6816   0 14:12 ?        00:00:00 /usr/libexec/accounts-daemon
root        789      1  0 108399 8600   1 14:12 ?        00:00:00 /usr/sbin/abrtd -d -s
root        791      1  0 85365  8904   0 14:12 ?        00:00:00 /usr/sbin/ModemManager
root        792      1  0  1095  1404   1 14:12 ?        00:00:00 /sbin/rngd -f
root        793      1  0  6117  3144   0 14:12 ?        00:00:00 /usr/lib/systemd/systemd-logind
rtkit       795      1  0 48852  3832   0 14:12 ?        00:00:00 /usr/libexec/rtkit-daemon
dbus        796      1  0 16592  5704   0 14:12 ?        00:00:00 /usr/bin/dbus-daemon --system --address=systemd: --nofork --nopidfile --systemd-act
chrony      798      1  0 33120  4092   0 14:12 ?        00:00:00 /usr/sbin/chronyd
root        800    777  0 20058  1688   0 14:12 ?        00:00:00 /sbin/audispd
root        802      1  0 51507  3300   0 14:12 ?        00:00:00 /usr/sbin/gssproxy -D
root        809    800  0 13050  3192   0 14:12 ?        00:00:00 /usr/sbin/sedispatch
root        823      1  0 119203 18256  0 14:12 ?        00:00:00 /usr/bin/abrt-dump-journal-oops -fxtD
root        827      1  0 108076 14324  1 14:12 ?        00:00:00 /usr/bin/abrt-dump-journal-xorg -fxtD
root        828      1  0 32023 18232   1 14:12 ?        00:00:00 /usr/bin/VGAuthService -s
root        829      1  0 78870 11044   1 14:12 ?        00:00:01 /usr/bin/vmtoolsd
avahi       830      1  0 14721  4324   0 14:12 ?        00:00:00 avahi-daemon: running [linux.local]
root        852      1  0  1630  1816   0 14:12 ?        00:00:00 /usr/sbin/mcelog --ignorenodev --daemon --foreground
avahi       855    830  0 14690   408   0 14:12 ?        00:00:00 avahi-daemon: chroot helper
polkitd     864      1  0 133205 14860  1 14:12 ?        00:00:00 /usr/lib/polkit-1/polkitd --no-debug
root        984      1  0 153593 14092  1 14:12 ?        00:00:00 /usr/sbin/NetworkManager --no-daemon
root       1088      1  0 161841 36904  0 14:12 ?        00:00:00 /usr/sbin/libvirtd
root       1094      1  0 101871 7892   1 14:12 ?        00:00:00 /usr/sbin/gdm
root       1104      1  0 32114  3080   1 14:12 ?        00:00:00 /usr/sbin/crond -n
root       1105      1  0  5956  2020   0 14:12 ?        00:00:00 /usr/sbin/atd -f
root       1228      1  0 18148  4784   1 14:12 ?        00:00:00 /usr/sbin/wpa_supplicant -c /etc/wpa_supplicant/wpa_supplicant.conf -u -f /var/log/
root       1260   1094  0 96058  9372   1 14:12 ?        00:00:00 gdm-session-worker [pam/gdm-autologin]
alice      1426      1  0 11303  5068   0 14:13 ?        00:00:00 /usr/lib/systemd/systemd --user
alice      1433   1426  0 23924  2848   0 14:13 ?        00:00:00 (sd-pam)
root       1436    984  0 23379 19156   0 14:13 ?        00:00:00 /sbin/dhclient -d -q -sf /usr/libexec/nm-dhcp-helper -pf /var/run/dhclient-eno16777
alice      1471   1260  0 112315 10504  1 14:13 tty1     00:00:00 /usr/libexec/gdm-x-session --run-script gnome-session
root       1476      1  0 18573 10792   1 14:13 ?        00:00:00 /opt/drweb.com/bin/drweb-configd.real -d -p /var/run/drweb-configd.pid
alice      1478   1471  0 69137 37656   1 14:13 tty1     00:00:02 /usr/libexec/Xorg vt1 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tc
root       1508   1476  0 115677 287008 1 14:13 ?        00:00:03 /opt/drweb.com/bin/drweb-gated.real
root       1509   1476  0 45522  7880   1 14:13 ?        00:00:06 /opt/drweb.com/bin/drweb-spider.real
root       1676   1476  0  7536  8248   1 14:13 ?        00:00:01 /opt/drweb.com/bin/drweb-filecheck.real
drweb      1751   1476  0  9421  9236   0 14:13 ?        00:00:00 /opt/drweb.com/bin/drweb-netcheck.real
root       1752   1476  0 28536  7540   1 14:13 ?        00:00:00 /opt/drweb.com/bin/drweb-firewall.real
drweb      1753   1476  0 124855 12024  1 14:13 ?        00:00:00 /opt/drweb.com/bin/drweb-cloudd.real
root       1814   1476  2 75637 288052  0 14:13 ?        00:00:13 /opt/drweb.com/bin/drweb-se.real
nobody     2037      1  0 14387  2352   0 14:13 ?        00:00:00 /sbin/dnsmasq --conf-file=/var/lib/libvirt/dnsmasq/default.conf --leasefile-ro --dh
root       2038   2037  0 14380   404   1 14:13 ?        00:00:00 /sbin/dnsmasq --conf-file=/var/lib/libvirt/dnsmasq/default.conf --leasefile-ro --dh
alice      2062   1471  0 16398  5296   0 14:13 tty1     00:00:00 dbus-daemon --print-address 4 --session
alice      2089   1471  0 146262 13188  1 14:13 tty1     00:00:00 /usr/libexec/gnome-session-binary
alice      2162      1  0 84499  5688   1 14:13 tty1     00:00:00 /usr/libexec/at-spi-bus-launcher
alice      2168   2162  0 16250  4632   1 14:13 tty1     00:00:00 /bin/dbus-daemon --config-file=/etc/at-spi2/accessibility.conf --nofork --print-add
alice      2172      1  0 56306  6052   0 14:13 tty1     00:00:00 /usr/libexec/at-spi2-registryd --use-gnome-session
alice      2184      1  0 95907  6280   1 14:13 tty1     00:00:00 /usr/libexec/gvfsd
alice      2193      1  0 102250 4912   0 14:13 tty1     00:00:00 /usr/libexec/gvfsd-fuse /run/user/1000/gvfs -f -o big_writes
alice      2213   2089  0 279369 36164  0 14:13 tty1     00:00:00 /usr/libexec/gnome-settings-daemon
alice      2215      1  0 78097  6656   1 14:13 tty1     00:00:00 /usr/bin/gnome-keyring-daemon --start --components=secrets
alice      2235      1  0 142085 11996  1 14:13 ?        00:00:00 /usr/bin/pulseaudio --start --log-target=syslog
root       2238      1  0 89797  9280   0 14:13 ?        00:00:00 /usr/libexec/upowerd
alice      2265   2089  3 545273 145532 1 14:13 tty1     00:00:17 /usr/bin/gnome-shell
colord     2266      1  0 103022 10420  0 14:13 ?        00:00:00 /usr/libexec/colord
root       2290      1  0 93509  7620   1 14:13 ?        00:00:00 /usr/libexec/udisks2/udisksd --no-debug
root       2302      1  0 52402  7592   1 14:13 ?        00:00:00 /usr/sbin/cupsd -l
alice      2321      1  0 160374 12532  1 14:13 tty1     00:00:00 /usr/libexec/gsd-printer
alice      2362      1  0 233487 32812  1 14:13 tty1     00:00:00 /usr/libexec/gnome-shell-calendar-server
alice      2367      1  0 240175 36168  1 14:13 tty1     00:00:00 /usr/libexec/evolution-source-registry
alice      2371   2265  0 112187 8104   0 14:13 tty1     00:00:00 ibus-daemon --xim --panel disable
alice      2375   2371  0 92831  6184   0 14:13 tty1     00:00:00 /usr/libexec/ibus-dconf
alice      2378      1  0 121206 21492  1 14:13 tty1     00:00:00 /usr/libexec/ibus-x11 --kill-daemon
alice      2392      1  0 119353 11956  1 14:13 tty1     00:00:00 /usr/libexec/mission-control-5
alice      2402      1  0 186313 27976  1 14:13 tty1     00:00:00 /usr/libexec/goa-daemon
alice      2414      1  0 104362 8340   1 14:13 tty1     00:00:00 /usr/libexec/gvfs-udisks2-volume-monitor
alice      2423      1  0 99037  6260   1 14:13 tty1     00:00:00 /usr/libexec/gvfs-gphoto2-volume-monitor
alice      2444      1  0 96763  6052   1 14:13 tty1     00:00:00 /usr/libexec/gvfs-mtp-volume-monitor
alice      2460      1  0 119454 7748   1 14:13 tty1     00:00:00 /usr/libexec/gvfs-afc-volume-monitor
alice      2466      1  0 91724  5204   1 14:13 tty1     00:00:00 /usr/libexec/gvfs-goa-volume-monitor
alice      2475      1  0 128201 12216  1 14:13 tty1     00:00:00 /usr/libexec/goa-identity-service
root       2482      1  2 190839 77020  0 14:13 ?        00:00:12 /usr/libexec/packagekitd
alice      2484   2089  0 165611 17700  1 14:13 tty1     00:00:00 /usr/libexec/tracker-extract
alice      2488   2089  0 121263 15348  0 14:13 tty1     00:00:00 /usr/libexec/tracker-miner-user-guides
alice      2490   2089  0 82610 17120   0 14:13 tty1     00:00:00 /usr/bin/seapplet
alice      2497   2089  0 178590 43804  1 14:13 tty1     00:00:00 /opt/drweb.com/bin/drweb-gui-agent.real
alice      2526      1  0 132188 26108  1 14:13 tty1     00:00:00 /usr/libexec/tracker-store
alice      2532   2089  0 284080 42464  1 14:13 tty1     00:00:00 /usr/libexec/evolution/evolution-alarm-notify
alice      2580   2089  0 152442 23512  0 14:14 tty1     00:00:00 abrt-applet
alice      2581      1  0 100275 28036  1 14:14 tty1     00:00:01 /usr/bin/vmtoolsd -n vmusr
alice      2585   2089  0 257161 35144  1 14:14 tty1     00:00:00 nautilus -n
alice      2588   2089  0 199546 17928  1 14:14 tty1     00:00:00 /usr/libexec/tracker-miner-fs
alice      2600   2089  0 176069 24824  1 14:14 tty1     00:00:00 /usr/bin/gnome-software --gapplication-service
alice      2603      1  0 285023 70120  1 14:14 tty1     00:00:00 /usr/libexec/evolution-calendar-factory
alice      2609   2089  0 274063 15848  0 14:14 tty1     00:00:00 /usr/libexec/tracker-miner-apps
root       2623   1814  3 75893 288192  0 14:14 ?        00:00:17 /opt/drweb.com/bin/drweb-se.real
root       2625   1814  2 75893 288260  0 14:14 ?        00:00:12 /opt/drweb.com/bin/drweb-se.real
root       2627   1814  2 75893 290616  1 14:14 ?        00:00:15 /opt/drweb.com/bin/drweb-se.real
root       2629   1814  2 75893 288248  1 14:14 ?        00:00:14 /opt/drweb.com/bin/drweb-se.real
alice      2670      1  0 114943 6488   0 14:14 tty1     00:00:00 /usr/libexec/gvfsd-trash --spawner :1.6 /org/gtk/gvfs/exec_spaw/0
alice      2708      1  0 44713  4920   0 14:14 tty1     00:00:00 /usr/libexec/dconf-service
alice      2740   2371  0 74378  6096   0 14:14 tty1     00:00:00 /usr/libexec/ibus-engine-simple
alice      2752   2603  0 306159 67128  0 14:14 tty1     00:00:00 /usr/libexec/evolution-calendar-factory-subprocess --factory contacts --bus-name or
alice      2833      1  0 272176 35848  1 14:14 tty1     00:00:00 /usr/libexec/evolution-addressbook-factory
alice      2836   2603  0 322519 66912  1 14:14 tty1     00:00:00 /usr/libexec/evolution-calendar-factory-subprocess --factory local --bus-name org.g
alice      2868   2833  0 316880 36808  0 14:14 tty1     00:00:00 /usr/libexec/evolution-addressbook-factory-subprocess --factory local --bus-name or
alice      2896      1  0 77801  5912   1 14:14 tty1     00:00:00 /usr/libexec/gvfsd-metadata
alice      2986      1  1 148666 32488  1 14:20 tty1     00:00:01 /usr/libexec/gnome-terminal-server
alice      2990   2986  0 30172  4476   1 14:21 pts/0    00:00:00 bash
root       3071      2  0     0     0   0 14:21 ?        00:00:00 [kworker/0:0]
root       3072      2  0     0     0   1 14:21 ?        00:00:00 [kworker/1:0]
alice      3148   2990  0 39063  4120   0 14:23 pts/0    00:00:00 ps -AF
Comment 4 Richard Hughes 2016-05-25 05:32:57 EDT
Does the version here fix the problem? https://copr.fedorainfracloud.org/coprs/rhughes/f23-gnome320/
Comment 5 Fedora End Of Life 2016-11-24 09:32:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:25:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 M_M 2017-09-11 07:36:22 EDT
Thank you for developing Fedora.

Note You need to log in before you can comment on or make changes to this bug.